Filter (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.transform

## Class Filter

- java.lang.Object
- - org.apache.cassandra.db.transform.Transformation
  - - org.apache.cassandra.db.transform.Filter

-     public final class Filter
      extends Transformation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter(int nowInSec, boolean enforceStrictLiveness)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RangeTombstoneMarker` | `applyToMarker(RangeTombstoneMarker marker)` Applied to any RTM we encounter in a rows/unfiltered iterator
    `protected RowIterator` | `applyToPartition(BaseRowIterator iterator)` Applied to any rows iterator (partition) we encounter in a partitions iterator
    `protected Row` | `applyToRow(Row row)` Applied to any row we encounter in a rows iterator
    `protected Row` | `applyToStatic(Row row)` Applied to the static row of any rows iterator.

    - ### Methods inherited from class org.apache.cassandra.db.transform.Transformation

      `apply, apply, apply, apply, applyToDeletion, applyToPartitionColumns, applyToPartitionKey, onClose, onPartitionClose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter

          public Filter(int nowInSec,
                        boolean enforceStrictLiveness)

  - ### Method Detail

    - #### applyToPartition

          protected RowIterator applyToPartition(BaseRowIterator iterator)

      Description copied from class: `Transformation`
      Applied to any rows iterator (partition) we encounter in a partitions iterator
      Overrides:
        `applyToPartition` in class `Transformation`

    - #### applyToStatic

          protected Row applyToStatic(Row row)

      Description copied from class: `Transformation`
      Applied to the static row of any rows iterator. NOTE that this is only applied to the first iterator in any sequence of iterators filled by a MoreContents; the static data for such iterators is all expected to be equal
      Overrides:
        `applyToStatic` in class `Transformation`

    - #### applyToRow

          protected Row applyToRow(Row row)

      Description copied from class: `Transformation`
      Applied to any row we encounter in a rows iterator
      Overrides:
        `applyToRow` in class `Transformation`

    - #### applyToMarker

          protected RangeTombstoneMarker applyToMarker(RangeTombstoneMarker marker)

      Description copied from class: `Transformation`
      Applied to any RTM we encounter in a rows/unfiltered iterator
      Overrides:
        `applyToMarker` in class `Transformation`

Copyright © 2018 The Apache Software Foundation